Kwalitee Issues

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: CPAN::API::HOWTO

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 1.92,5.400844,5.401418,5.402210,5.402212,5.402213,5.402229,5.50

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: CPAN, CPAN::API::HOWTO, CPAN::Admin, CPAN::Debug, CPAN::DeferedCode, CPAN::FirstTime, CPAN::HandleConfig, CPAN::Kwalify, CPAN::Nox, CPAN::Queue, CPAN::Tarzip, CPAN::Version

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
CPAN query, download and build perl modules from CPAN sites 1.92 metacpan
CPAN::Admin A CPAN Shell for CPAN admins 5.402212 metacpan
CPAN::Debug 5.402212 metacpan
CPAN::DeferedCode 5.50 metacpan
CPAN::FirstTime Utility for CPAN::Config file Initialization 5.402229 metacpan
CPAN::HandleConfig 5.402212 metacpan
CPAN::Kwalify Interface between CPAN.pm and Kwalify.pm 5.401418 metacpan
CPAN::Nox Wrapper around CPAN.pm without using any XS module 5.400844 metacpan
CPAN::Queue 5.402212 metacpan
CPAN::Tarzip 5.402213 metacpan
CPAN::Version utility functions to compare CPAN versions 5.402210 metacpan

Provides

Name File View
CPAN::Author lib/CPAN.pm metacpan
CPAN::Bundle lib/CPAN.pm metacpan
CPAN::CacheMgr lib/CPAN.pm metacpan
CPAN::Complete lib/CPAN.pm metacpan
CPAN::Distribution lib/CPAN.pm metacpan
CPAN::Distrostatus lib/CPAN.pm metacpan
CPAN::Eval lib/CPAN.pm metacpan
CPAN::Exception::RecursiveDependency lib/CPAN.pm metacpan
CPAN::Exception::yaml_not_installed lib/CPAN.pm metacpan
CPAN::Exception::yaml_process_error lib/CPAN.pm metacpan
CPAN::FTP lib/CPAN.pm metacpan
CPAN::FTP::netrc lib/CPAN.pm metacpan
CPAN::Index lib/CPAN.pm metacpan
CPAN::InfoObj lib/CPAN.pm metacpan
CPAN::LWP::UserAgent lib/CPAN.pm metacpan
CPAN::Mirrored::By lib/CPAN/FirstTime.pm metacpan
CPAN::Module lib/CPAN.pm metacpan
CPAN::Prompt lib/CPAN.pm metacpan
CPAN::Queue::Item lib/CPAN/Queue.pm metacpan
CPAN::Shell lib/CPAN.pm metacpan
CPAN::URL lib/CPAN.pm metacpan

Other Files

ChangeLog metacpan
ChangeLog.old metacpan
Changes metacpan
Changes.old metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan